Bug 227951 - tcl_findLibrary is not thorough enough
tcl_findLibrary is not thorough enough
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
:
Depends On:
Blocks: 226893
  Show dependency treegraph
 
Reported: 2007-02-08 20:19 EST by Wart
Modified: 2008-01-18 03:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 03:19:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update tcl_findLibrary procedure in auto.tcl (646 bytes, patch)
2007-02-08 20:21 EST, Wart
no flags Details | Diff

  None (edit)
Description Wart 2007-02-08 20:19:30 EST
Description of problem:
The tcl_findLibrary procedure is used to locate a packages foo.tcl script by
looking in a few common locations.  Unfortunately, it does not look in the
sibling directory of Tcl's own script library.  This causes problems for Tk when
Tcl is built with a restricted auto_path (see bug #226893)

Version-Release number of selected component (if applicable):
tcl-8.5a5-6.fc7

How reproducible:
Always

Steps to Reproduce:
1.  Rebuild and install Tcl with the auto_path patch in bug #226893
2.  Install Tk
3.  Start a wish shell
  
Actual results:
wish does not initialize correctly and gives the following error:
"Application initialization failed: Can't find a usable tk.tcl in the following
directories: 
    /usr/share/tcl8.5/tk8.5 /usr/lib/tk8.5 /lib/tk8.5 /usr/library



This probably means that tk wasn't installed properly."

Note that it does _not_ look in /usr/share/tk8.5, where tk.tcl actually lives.

Expected results:
wish starts as expected

Additional info:

The attached patch adds an additional directory, $tcl_library/../foo$version to
the search path.

I'm also sending this patch to the upstream devs so that it can get included in
the core Tcl sources.
Comment 1 Wart 2007-02-08 20:21:07 EST
Created attachment 147722 [details]
update tcl_findLibrary procedure in auto.tcl

This patch updates the tcl_findLibrary procedure in auto.tcl, which is used by
Tk to find tk.tcl.
Comment 2 Marcela Mašláňová 2007-02-09 09:13:36 EST
Thanks for patch.

It has to wait for new version 8.5.
Comment 3 Wart 2007-02-09 13:04:01 EST
Upstream acknowledges the problem, and proposes a slightly more complicated fix:

http://sourceforge.net/tracker/index.php?func=detail&aid=1655677&group_id=10894&atid=360894
http://sourceforge.net/tracker/index.php?func=detail&aid=765642&group_id=12997&atid=112997

This patch should be considered a workaround until the above upstream bug is fixed.
Comment 4 Marcela Mašláňová 2008-01-18 03:19:03 EST
fixed in tcl-1:8.5.0-6

Note You need to log in before you can comment on or make changes to this bug.